> For the complete documentation index, see [llms.txt](https://docs.fastix.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fastix.eu/ticketmaster/tasks-normal-mode.md).

# Tasks (Normal Mode)

Before starting a task in **Fastix Bot**, you’ll need to set up a few parameters that tell the bot what event to run and how to behave.

* **Task\_ID** – Enter any custom name to help you identify the task or event you’re running.
* **Event\_URL** – Paste the full URL of the event you want Fastix to monitor or purchase from.
* **Mode** – Choose between:
  * `atc` – Queues your accounts and automatically carts tickets once passed.
  * `queue` – Queues accounts only (you’ll cart manually).
  * `shockdrop` - A mode that will wait until next sale starts and atc as soon as open, **for events with a countdown and no queue**
  * `pw_reset` – Update password of the accounts.
  * `session_catcher` - Will log into the accounts and farm OTPs.
  * `test_acc` - Will test if your accs are banned.
  * `order_checker` - Will automatically check and verify existing orders on your accounts.
* **Number\_of\_Tickets** – Minimum number of tickets to auto-cart.
  * Example: `2` or `2,4,6`
* **Max\_Tickets** – Maximum number of tickets allowed in the cart.
* **Min\_Price** – Minimum price per ticket to target.
* **Max\_Price** – Maximum price per ticket to target.
* **Include\_Resale** – Set to `true` to include resale tickets, or `false` to exclude them.
* **Ticket\_Type\_Priority** – Define your ticket preference:
  * `seated` for reserved seats
  * `standing` for general admission
  * `seated,standing` will try to cart first seated and then standing and if you put `standing,seated` will try to cart first standing and then seated.
* **Email** – The email address linked to your Ticketmaster account. If you want to run all the accounts from your `accounts.csv`, you'll only need to fill out the `tasks.csv` with all the info and put an asterisk `*` in the 'email' field.
* **Presale\_code** – Use this option to enter the presale codes for the event you’re running. You can enter codes using this different methods:

  * **Single Code**: Type a single code directly into the field.
  * **Multi-Code**: Enter multiple codes directly into the field separated by a comma (e.g., `CODE1,CODE2`).
  * **LiveNation Support**: Type `livenation` for native support. *(Note:* [*Accounts must be pre-registered on LiveNation*](/ticketmaster/livenation-allaccess-mode.md)*).*
  * **File Upload**: Upload a `.txt` file containing your codes one code per line, like this:

  ```
  CODE1
  CODE2
  CODE3
  ...
  ```

> 💡 **Example:** If you name your file `codes.txt`, make sure it’s in the **same folder** as your config.\
> Then, in the `presale_code` field, simply enter the exact filename on this case `codes.txt`

* **Wait\_queue** - Set to `true` if you want to wait for the queue to start and then enter it, or `false` if the queue is already open..&#x20;
  * **WHEN ITS A VF QUEUE, ALWAYS SET IT TO** `false` (no OTP neede to join queue, just run when the queue is open)
* **Sections:** You can use these 3 methods to choose the sections you want.
  * **Direct Targeting**: List the exact names of the sections you want to target, separated by commas. The tool will only attempt to buy tickets that match these specific identifiers. To find the correct section names for an event, use the `/sections` command followed by the event link in the Fastix Discord server.
    * *Example:* `503,101,GA`
  * **Regex Patterns**: Use regular expressions wrapped in forward slashes (`/.../`) to target multiple sections that share a similar naming structure.
    * *Example:* `/W1.*/` (Targets every section that begins with "W1", such as W10, W11, or W1-Lower).
  * **Range-Based Filters**: Target a continuous block of sections with a strict maximum price using a tilde (`~`) for the range and an equals sign (`=`) for the price.
    * *Example:* `504~553=100` (Targets sections 504 through 553 with a price of 100 or less).
  * **Universal Wildcard Pricing (`*`)**: Use an asterisk to apply a maximum price limit to *any* available section.
    * *Example syntax:* `*=100,200~216=150,229=150`
      * `*=100` : Targets any section on the map, as long as it is 100 or under.
      * `200~216=150` : Targets sections 200 through 216, up to 150.
      * `229=150` : Targets section 229 specifically, up to 150.
        * ***Chaining***: You can chain multiple targeting methods together (specific sections, ranges, and wildcards) in the same line by separating them with commas.
* **Negative\_Keywords:**  Allows you to add negative keywords in your `tasks.csv` to avoid carting specific ticket types.
* **Max\_queue\_spot:** This setting is used to define a maximum allowed queue position for your accounts. If any of your queues goes above the number you set, the task will automatically stop to avoid proxy ussage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fastix.eu/ticketmaster/tasks-normal-mode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
